LAMMPS WWW Site - LAMMPS Documentation - LAMMPS Commands

### bond_style nonlinear command

Syntax:

    bond_style nonlinear

Examples:

    bond_style nonlinear
    bond_coeff 2 100.0 1.1 1.4

Description:

The nonlinear bond style uses the potential

to define an anharmonic spring (Rector) of equilibrium length r0 and maximum extension lamda.

The following coefficients must be defined for each bond type via the bond_coeff command as in the example above, or in the data file or restart files read by the read_data or read_restart commands:

- epsilon (energy)
- r0 (distance)
- lamda (distance)

Restrictions:

This bond style can only be used if LAMMPS was built with the "molecular" package (which it is by default). See the Making LAMMPS section for more info on packages.

Related commands:

bond_coeff, delete_bonds

Default: none

(Rector) Rector, Van Swol, Henderson, Molecular Physics, 82, 1009 (1994).